# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
# To get the host for an index, see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.index(host="INDEX_HOST")
import_op = index.describe_import("101")
print(import_op.status, import_op.percent_complete, import_op.records_imported)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
// To get the host for an index, see https://docs.pinecone.io/guides/manage-data/target-an-index
const index = pc.index({ host: 'INDEX_HOST' });
const importOp = await index.describeImport('101');
console.log(importOp.status, importOp.percentComplete, importOp.recordsImported);
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
// To get the host for an index, see https://docs.pinecone.io/guides/manage-data/target-an-index
idxConnection, err := pc.Index(pinecone.NewIndexConnParams{Host: "INDEX_HOST"})
if err != nil {
log.Fatalf("Failed to create IndexConnection: %v", err)
}
importOp, err := idxConnection.DescribeImport(ctx, "101")
if err != nil {
log.Fatalf("Failed to describe import: %v", err)
}
fmt.Println(importOp.Status, importOp.PercentComplete, importOp.RecordsImported)
}
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/bulk/imports/101" \
-H "Api-Key: $PINECONE_API_KEY" \
-H 'X-Pinecone-Api-Version: 2026-07'
{
"id": "101",
"uri": "<string>",
"status": "Pending",
"createdAt": "2023-11-07T05:31:56Z",
"percentComplete": 42.2,
"recordsImported": 1000000,
"finishedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"validationResult": {
"importSuccesses": 999990,
"importErrors": 10
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Unauthorized{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Describe an import
Return details of a specific import operation.
For guidance and examples, see Import data.
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
# To get the host for an index, see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.index(host="INDEX_HOST")
import_op = index.describe_import("101")
print(import_op.status, import_op.percent_complete, import_op.records_imported)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
// To get the host for an index, see https://docs.pinecone.io/guides/manage-data/target-an-index
const index = pc.index({ host: 'INDEX_HOST' });
const importOp = await index.describeImport('101');
console.log(importOp.status, importOp.percentComplete, importOp.recordsImported);
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
// To get the host for an index, see https://docs.pinecone.io/guides/manage-data/target-an-index
idxConnection, err := pc.Index(pinecone.NewIndexConnParams{Host: "INDEX_HOST"})
if err != nil {
log.Fatalf("Failed to create IndexConnection: %v", err)
}
importOp, err := idxConnection.DescribeImport(ctx, "101")
if err != nil {
log.Fatalf("Failed to describe import: %v", err)
}
fmt.Println(importOp.Status, importOp.PercentComplete, importOp.RecordsImported)
}
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/bulk/imports/101" \
-H "Api-Key: $PINECONE_API_KEY" \
-H 'X-Pinecone-Api-Version: 2026-07'
{
"id": "101",
"uri": "<string>",
"status": "Pending",
"createdAt": "2023-11-07T05:31:56Z",
"percentComplete": 42.2,
"recordsImported": 1000000,
"finishedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"validationResult": {
"importSuccesses": 999990,
"importErrors": 10
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Unauthorized{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
# To get the host for an index, see https://docs.pinecone.io/guides/manage-data/target-an-index
index = pc.index(host="INDEX_HOST")
import_op = index.describe_import("101")
print(import_op.status, import_op.percent_complete, import_op.records_imported)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
// To get the host for an index, see https://docs.pinecone.io/guides/manage-data/target-an-index
const index = pc.index({ host: 'INDEX_HOST' });
const importOp = await index.describeImport('101');
console.log(importOp.status, importOp.percentComplete, importOp.recordsImported);
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
// To get the host for an index, see https://docs.pinecone.io/guides/manage-data/target-an-index
idxConnection, err := pc.Index(pinecone.NewIndexConnParams{Host: "INDEX_HOST"})
if err != nil {
log.Fatalf("Failed to create IndexConnection: %v", err)
}
importOp, err := idxConnection.DescribeImport(ctx, "101")
if err != nil {
log.Fatalf("Failed to describe import: %v", err)
}
fmt.Println(importOp.Status, importOp.PercentComplete, importOp.RecordsImported)
}
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/bulk/imports/101" \
-H "Api-Key: $PINECONE_API_KEY" \
-H 'X-Pinecone-Api-Version: 2026-07'
Authorizations
Headers
Required date-based version header
Path Parameters
Unique identifier for the import operation.
1 - 1000Response
Details of the import operation.
The model for an import operation.
Unique identifier for the import operation.
1 - 1000"101"
The URI from where the data is imported.
The status of the operation.
Possible values: Pending, InProgress, Failed, Completed, or Cancelled.
"Pending"
The start time of the import operation.
The progress made by the operation, as a percentage.
0 <= x <= 10042.2
The number of records successfully imported.
x >= 01000000
The end time of the import operation.
The error message if the import process failed.
The result of the validation run performed on the import data. Present only once validation has run.
Show child attributes
Show child attributes
Was this page helpful?